Subject: bug#55779: 29.0.50; child frame

From: drshapeless <[email-masked]>
Date: Sun, 05 Jun 2022 09:03:26 +0800

Po Lu <[email-masked]> writes:

> Thanks, but that doesn't make much sense.  Updating a window's opaque
> region by calling its `style_changed' function shouldn't interfere with
> updating it or changing its size.
>
> What happens if you comment out this part out?
>
>       object_class = G_OBJECT_GET_CLASS (FRAME_GTK_OUTER_WIDGET (f));
>       class = GTK_WIDGET_CLASS (object_class);
>
>       if (class->style_updated)
> 	class->style_updated (FRAME_GTK_OUTER_WIDGET (f));
>
> Thanks.

If I comment this part out, even at the lastest master commit, the issue
is solved. I could say these few lines of code is the root of the bug.

I have no idea what is going on though.